Package com.xebialabs.xlrelease.domain

## Enum FailureReasons

- java.lang.Object
- - java.lang.Enum<FailureReasons>
  - - com.xebialabs.xlrelease.domain.FailureReasons

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FailureReasons>`

      public enum FailureReasons
      extends java.lang.Enum<FailureReasons>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABORT_SCRIPT_TASK_ABORTED` |
    `CREATE_RELEASE_TASK_FAILED` |
    `DEPLOYMENT_TASK_FAILED` |
    `GATE_TASK_DEPENDS_ON_AN_ABORTED_RELEASE` |
    `GATE_TASK_FAILED` |
    `NOTIFICATION_TASK_FAILED` |
    `SCRIPT_TASK_ABORTED` |
    `SCRIPT_TASK_FAILED` |
    `UNRESOLVED_VARIABLES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `format​(java.lang.Object... parameters)` |
    `static FailureReasons` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FailureReasons[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GATE_TASK_DEPENDS_ON_AN_ABORTED_RELEASE

          public static final FailureReasons GATE_TASK_DEPENDS_ON_AN_ABORTED_RELEASE

    - #### UNRESOLVED_VARIABLES

          public static final FailureReasons UNRESOLVED_VARIABLES

    - #### NOTIFICATION_TASK_FAILED

          public static final FailureReasons NOTIFICATION_TASK_FAILED

    - #### DEPLOYMENT_TASK_FAILED

          public static final FailureReasons DEPLOYMENT_TASK_FAILED

    - #### SCRIPT_TASK_FAILED

          public static final FailureReasons SCRIPT_TASK_FAILED

    - #### SCRIPT_TASK_ABORTED

          public static final FailureReasons SCRIPT_TASK_ABORTED

    - #### ABORT_SCRIPT_TASK_ABORTED

          public static final FailureReasons ABORT_SCRIPT_TASK_ABORTED

    - #### CREATE_RELEASE_TASK_FAILED

          public static final FailureReasons CREATE_RELEASE_TASK_FAILED

    - #### GATE_TASK_FAILED

          public static final FailureReasons GATE_TASK_FAILED

  - ### Method Detail

    - #### values

          public static FailureReasons[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FailureReasons c : FailureReasons.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FailureReasons valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### format

          public java.lang.String format​(java.lang.Object... parameters)